Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites".
Test de l'ISO d'Ubuntu francophone : nous avons besoin de testeurs pour la version francophone d'Ubuntu 14.04. Liens et informations ici.

#76 Le 11/03/2009, à 19:58

Morita

Re : Xfce 4.6 pour Ubuntu Intrepid et Ubuntu Hardy

Hello smile

Il y a quelques jours, j'ai installé la 4.6.0 et apparemment tout fonctionne bien sauf qu'au démarrage, conky ne veut plus se lancer automatiquement.
Quelqu'un a constaté un éventuel problème avec des application se lancant automatiquement au démarrage ?
A+


Novatux Fregate Black - Xubuntu 12.04

Hors ligne

#77 Le 11/03/2009, à 21:14

raph986

Re : Xfce 4.6 pour Ubuntu Intrepid et Ubuntu Hardy

mr_pouit a écrit :

Oui, par exemple en installant aumix, et en affectant "aumix -v+10" (augmenter le volume de 10 unités), "aumix -v-10" (baisser le volume de 10 unités) et "aumix -v0" (silence) aux touches adéquates.

Ça marche impeccablement smile
Un grand merci d'avoir mis un dépôt pour intrepid (je ne pourrais pas utiliser Jaunty hmm ).
Je n'ai qu'un seul regret, c'est de ne pas pouvoir trier les icônes sur le bureau, mais ce n'est pas trop gênant.


Core Duo 1.83ghz, 2go et ATI X1600 Mobility featuring Catalyst 9.1
Xubuntu 8.10 et Xfce 4.6.1

Hors ligne

#78 Le 11/03/2009, à 23:26

mr_pouit

Re : Xfce 4.6 pour Ubuntu Intrepid et Ubuntu Hardy

spatz a écrit :

mr_pouit_HL : c'est Mr Pouit Hors ligne. Donc je suppose que c'est le même.

Oui, c'est le même en pas identifié.
Non, je ne suis pas schizophrène.
Non, j'aime pas les brocolis (ok, aucun rapport).

benuch a écrit :

En tout cas, je suis quasi-sur de ne pas avoir le problème au bureau, je te redirais cela demain...

Ok, merci, vu que je ne sais pas trop dans quelle direction chercher pour ce bug... :}

Tamaris a écrit :

Et tant qu'à poster là, je dirais pour le futur des bisounours que les applets de senseurs ne fonctionnent pas (je les rajoute mais ils n'apparaissent pas) et l'applet du son (qui ne se barre pas celui-là) à un petit problème : xfce4-mixer plante à sa fermeture et je suis obligé de le tuer...

Un peu comme décrit sur http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=519181 ?

Pour le mixer faudrait faire un {s,l}trace dessus pour voir où ça bloque.

Tamaris a écrit :

C'est triste la vie.

Hé oui.

Tamaris a écrit :

Très jolie mouture donc. Et au fait, pour l'intégration de Pulseaudio, vous en savez plus? (je traine entre tout alsa et pulseaudio/alsa avec un problème de mono-source assez énervant).

Le mixer de la 4.6 utilise gstreamer, donc pour le support de pulseaudio il te suffit d'installer le bon paquet (probablement gstreamer0.10-pulseaudio). J'ai pas vraiment testé vu que tout fonctionne chez moi avec ALSA, mais en théorie ça doit marcher.

Morita a écrit :

Quelqu'un a constaté un éventuel problème avec des application se lancant automatiquement au démarrage ?

Il y a bien un .desktop pour le lancer dans $HOME/.config/xdg/autostart ? Y a t-il un message d'erreur dans $HOME/.xsession-errors ? (mais je pense que ça doit être un problème de configuration de conky...).

raph986 a écrit :

Je n'ai qu'un seul regret, c'est de ne pas pouvoir trier les icônes sur le bureau, mais ce n'est pas trop gênant.

Oui, xfdesktop est toujours un peu rustique (mais les choses avancent, on peut dire qu'on est passé de Windows 95 à Windows 98 pour xfdesktop au niveau des fonctionnalités lol).


N'hésitez pas à venir sur #ubuntu-fr-devel et #u-classroom (FreeNode) !
Ma page perso -- Mon blog

Hors ligne

#79 Le 12/03/2009, à 00:06

Wapush_HL

Re : Xfce 4.6 pour Ubuntu Intrepid et Ubuntu Hardy

mr_pouit a écrit :
spatz a écrit :

mr_pouit_HL : c'est Mr Pouit Hors ligne. Donc je suppose que c'est le même.

Non, je ne suis pas schizophrène.
Non, j'aime pas les brocolis (ok, aucun rapport).

Si si... Le brocoli est très bon gratiné au fromage de chèvre bien poivré ou dans la poutine.
Mais vu ton avatar de bisounours, je te conseille le fromage bleu... tongue
D'ailleurs, veux-tu bien me dire ce qui est écrit sous le bisounours ? "Your  ???  ???  me happy" ?


mr_pouit a écrit :

Oui, xfdesktop est toujours un peu rustique (mais les choses avancent, on peut dire qu'on est passé de Windows 95 à Windows 98 pour xfdesktop au niveau des fonctionnalités lol).

On l'aime ou on le quitte !  mad  wink

#80 Le 12/03/2009, à 00:29

Tamaris

Re : Xfce 4.6 pour Ubuntu Intrepid et Ubuntu Hardy

@ Wapush : "Your anger makes me happy", un fier bisounours ne dirait pas ça donc lede ssin n'est pas un bisounours (d'ailleurs il n'a pas de dessin sur son ventre...).

mr_pouit a écrit :

Le mixer de la 4.6 utilise gstreamer, donc pour le support de pulseaudio il te suffit d'installer le bon paquet (probablement gstreamer0.10-pulseaudio). J'ai pas vraiment testé vu que tout fonctionne chez moi avec ALSA, mais en théorie ça doit marcher.

Ok pour ça. J'ai biens testé, mais que ça soit en alsa pur ou avec pulseaudio (je vais pas pester sur "pourquoi il est déjà dans la distro???") j'ai ce petit problème de monosource. Enfin c'est pas le topic.

D'ailleurs, je m'en vais sous Jaunty tiens... ++


Sauvez un bisounours, mangez des carottes.

Hors ligne

#81 Le 12/03/2009, à 11:23

benuch

Re : Xfce 4.6 pour Ubuntu Intrepid et Ubuntu Hardy

benuch a écrit:

    En tout cas, je suis quasi-sur de ne pas avoir le problème au bureau, je te redirais cela demain...

Ok, merci, vu que je ne sais pas trop dans quelle direction chercher pour ce bug... :}

Je confirme, aucun problème au bureau, sur Xubuntu intrepid 32bit + XFCE 4.6
Je me suis amusé à le changer, cela passe nickel après un logout/login!
Sinon, la souris est chargé très tôt lors du démarrage de XFCE, je ne sais pas si cela peux t'aider.
J'ai regardé au niveau des fichiers config (.config) Cela m'a semblé identique que pour mon PC de la maison! Si tu veux que je regarde d'autre choses ou fasse des manips pour trouver le bug, n'hésite pas!!


Ubuntu+gnome2 sans panel et awn (maison) et Ubuntu+xmonad (travail)
Migration sous ubuntu à edgy eft 6.10, depuis W... est retourné aux cieux...

Hors ligne

#82 Le 13/03/2009, à 03:07

Wapush

Re : Xfce 4.6 pour Ubuntu Intrepid et Ubuntu Hardy

Tamaris a écrit :

@ Wapush : "Your anger makes me happy", un fier bisounours ne dirait pas ça donc lede ssin n'est pas un bisounours (d'ailleurs il n'a pas de dessin sur son ventre...).

Je vais avoir besoin de lunettes... cool

Hors ligne

#83 Le 14/03/2009, à 11:35

Morita

Re : Xfce 4.6 pour Ubuntu Intrepid et Ubuntu Hardy

mr_pouit a écrit :
Morita a écrit :

Quelqu'un a constaté un éventuel problème avec des application se lancant automatiquement au démarrage ?

Il y a bien un .desktop pour le lancer dans $HOME/.config/xdg/autostart ? Y a t-il un message d'erreur dans $HOME/.xsession-errors ? (mais je pense que ça doit être un problème de configuration de conky...).

Hello smile

J'ai pas de dossier xdg mais j'ai /home/cyberseb/.config/autostart/. Dans ce dossier, j'ai un fichier "conky" (sans extention). J'ai édité le fichier .xsession-error et j'ai trouvé énormément d'erreurs o_O et j'ai vu ceci concernant Conky :

Conky: desktop window (1a00003) is subwindow of root window (1a6)
Conky: window type - override
Conky: drawing to created window (3200001)
Conky: drawing to double buffer

Autre problème, je n'arrive plus à copier/coller et renommer des fichiers dans mon DD externe NTFS.

Bon, je crois que je vais revenir a la version 4.4.3 parce que la ça craint. A ce propos, Comment on fait pour revenir a la version précédente ?

Merci


Novatux Fregate Black - Xubuntu 12.04

Hors ligne

#84 Le 15/03/2009, à 19:03

boubouhhh

Re : Xfce 4.6 pour Ubuntu Intrepid et Ubuntu Hardy

Bonjour,

J'ai essayé cette nouvelle version gràce à tes dépôts (merci wink) pour Hardy..j'ai un petit souci...des fois ça j'arrive à accéder à la session et des fois non..bref c'est aléatoire...

J'entre mon login et mot de passe puis rien...que la souris...une idée pour mon problème...

Aussi, je voulais savoir si tu continuais à intégrer les nouveaux paquets de XFCE pour Hardy ? Car je  ne veux pas passer à Intrepid et pas la patience pour attendre Jaunty wink

Merci pour vos réponses..

Cordialement.

#85 Le 16/03/2009, à 15:45

Gawan

Re : Xfce 4.6 pour Ubuntu Intrepid et Ubuntu Hardy

Bonjour,

Tout d'abord merci pour ce dépot qui facilite la mise-en-place de Xfce 4.6.

Ce matin, je vois des mises-à-jour pour certains paquets de Xfce, je les installe et depuis xfce4-terminal refuse de se lancer en affichant un "Segmentation Fault". sad

Je l'ai relancé avec un strace mais je n'ai rien vu qui puisse me donner une idée d'où vient le problème.

Merci,

Gawan

#86 Le 16/03/2009, à 21:27

mr_pouit

Re : Xfce 4.6 pour Ubuntu Intrepid et Ubuntu Hardy

Morita a écrit :

Autre problème, je n'arrive plus à copier/coller et renommer des fichiers dans mon DD externe NTFS.

Bon, je crois que je vais revenir a la version 4.4.3 parce que la ça craint. A ce propos, Comment on fait pour revenir a la version précédente ?

Merci

Je ne pense pas que ça vienne de Xfce 4.6, plutôt des options de montage du disque...

Pour revenir à la version précédente, il suffit (par exemple) de supprimer le dépôt de ton sources.list, de mettre à jour la liste, d'ouvrir Synaptic et de forcer tous les paquets Xfce obsolètes à la version précédente (apt n'est pas vraiment prévu pour cela, donc ça peut faire un bordel monstre...).

boubouhhh a écrit :

Bonjour,

J'ai essayé cette nouvelle version gràce à tes dépôts (merci wink) pour Hardy..j'ai un petit souci...des fois ça j'arrive à accéder à la session et des fois non..bref c'est aléatoire...

J'entre mon login et mot de passe puis rien...que la souris...une idée pour mon problème...

Bug connu de xubuntu hardy : un problème de timing entre le lancement automatique de dbus et celui du screensaver (ou un truc du genre)... Il y a comme contournement bancal de rajouter des "sleep" après le lancement de dbus dans /etc/xdg/xfce4/xinitrc.

Gawan a écrit :

Bonjour,

Tout d'abord merci pour ce dépot qui facilite la mise-en-place de Xfce 4.6.

Ce matin, je vois des mises-à-jour pour certains paquets de Xfce, je les installe et depuis xfce4-terminal refuse de se lancer en affichant un "Segmentation Fault". sad

Je l'ai relancé avec un strace mais je n'ai rien vu qui puisse me donner une idée d'où vient le problème.

Merci,

Gawan

Pour les crashes, utilise plutôt gdb. Description rapide : "gdb xfce4-terminal", puis 'r' pour le démarre, et quand ça plante, 'thread apply all bt' ou encore 'bt full' pour obtenir une trace utile pour les développeurs (s'il n'y a que des ?????, il faut installer des paquets de débug).


N'hésitez pas à venir sur #ubuntu-fr-devel et #u-classroom (FreeNode) !
Ma page perso -- Mon blog

Hors ligne

#87 Le 17/03/2009, à 12:26

Gawan

Re : Xfce 4.6 pour Ubuntu Intrepid et Ubuntu Hardy

mr_pouit a écrit :

Pour les crashes, utilise plutôt gdb. Description rapide : "gdb xfce4-terminal", puis 'r' pour le démarre, et quand ça plante, 'thread apply all bt' ou encore 'bt full' pour obtenir une trace utile pour les développeurs (s'il n'y a que des ?????, il faut installer des paquets de débug).

Merci pour la réponse.
J'ai résolu mon problème. Je copie les différents tests que j'ai effectués et la resolution du problème dans l'espoir que cela puisse aider quelqu'un d'autre.



J'ai donc suivi tes instructions et j'ai utilisé gdb. Je reçois quelques informations mais j'ai beaucoup de "?" dans la sortie de GDB. J'ai donc installé tous les paquets xfce4-...-dbg mais je n'ai pas trouvé de paquet xfce4-terminal-dbg.

Je copie la sortie de gdb :

(gdb) thread apply all bt

Thread 1 (Thread 0xb71aa700 (LWP 15428)):
#0  0x0805d696 in ?? ()
#1  0x08063fe4 in ?? ()
#2  0x08064881 in ?? ()
#3  0xb7b0f073 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#4  0xb77ffc4b in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#5  0xb7816095 in ?? () from /usr/lib/libgobject-2.0.so.0
#6  0xb78177ac in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
#7  0xb7817c26 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#8  0xb7b2fc15 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#9  0xb7b2cfef in gtk_notebook_insert_page_menu () from /usr/lib/libgtk-x11-2.0.so.0
#10 0xb7b2d606 in gtk_notebook_append_page () from /usr/lib/libgtk-x11-2.0.so.0
#11 0x08062d8b in ?? ()
#12 0x0805346d in ?? ()
#13 0x08053896 in ?? ()
#14 0x08052bc3 in ?? ()
#15 0xb75f5685 in __libc_start_main () from /lib/tls/i686/cmov/libc.so.6
#16 0x08052111 in ?? ()

J'ai vérifié que toutes les librairies renseignées par gdb étaient bien installées dans leur dernière version mais cela ne résout pas mon problème.



J'ai continué à chercher sur le net et j'ai trouvé la solution dans un forum sur Arch Linux.
Il suffit de modifier la ligne "MiscAlwaysShowTabs=TRUE" en FALSE dans le fichier .config/Terminal/terminalrc.
Je vais regarder sur le bugzilla de Xfce si ce problème a déjà été rapporté sinon j'ouvrirai un bug report.

Merci encore pour l'aide,

Gawan

#88 Le 17/03/2009, à 13:17

philodoxia

Re : Xfce 4.6 pour Ubuntu Intrepid et Ubuntu Hardy

Bonjour à tous,

tout d'abord, merci pour votre travail, le travail effectué sur la version 4.6.0 est effectivement impressionnante.

Je viens d'effectuer la mise à jour en xfce 4.6 et tout fonctionne bien. J'ai cependant une interrogation, je n'ai pas xfce4-settings sous synaptics, alors que je dispose bien des autres paquets de xfce 4.6 (xfdektop, xfce4-panel, xfwm4...). Cela n'a rien de bloquant, mais du coup j'ai toujours xfce4-mcs d'actif.

Je me demande si j'ai raté quelque chose dans la procédure (je vois mal quoi mais bon sait-on jamais).

Si vous avez quelques idées je suis preneur, et vous remercie encore de nous permettre de profiter des nouveautés de cette qualité.

Bien à vous,
philodoxia.

#89 Le 17/03/2009, à 18:26

jeromeg

Re : Xfce 4.6 pour Ubuntu Intrepid et Ubuntu Hardy

philodoxia: oui désolé, c'est parce qu'il manque une dépendance pour ce paquet dans Hardy. Je suis en train de m'en occuper, j'espère que ce sera réglé ce soir.

À +

Hors ligne

#90 Le 17/03/2009, à 19:23

philodoxia

Re : Xfce 4.6 pour Ubuntu Intrepid et Ubuntu Hardy

Aucun souci jeromeg, je comprends, ça m'inquiétais quelque peu mais me voilà rassuré.

En tout cas, sur la journée d'utilisation, aucun bug à l'horizon, tout tourne bien et je sens que je vais devenir totalement dépendant de ce nouveau menu contextuel via le clic droit de la souris (j'étais déjà dépendant de l'ancien, mais là faut reconnaître que ça répond quasiment à tous les manques que j'avais).

Si tout est aussi bien défini, paramétré et paqueté, Jaunty Jackalope va sortir en avance big_smile

Merci encore, je vais suivre les majs attentivement wink

#91 Le 17/03/2009, à 19:29

jeromeg

Re : Xfce 4.6 pour Ubuntu Intrepid et Ubuntu Hardy

philodoxia: ça y'est le paquet est construit, il devrait être publié d'ici 10/15 minutes. Encore désolé d'avoir laissé passer ça...

Dernière modification par jeromeg (Le 17/03/2009, à 19:29)

Hors ligne

#92 Le 17/03/2009, à 20:22

frenchy82

Re : Xfce 4.6 pour Ubuntu Intrepid et Ubuntu Hardy

Bonsoir,

Voila un tout petit soucis.
J'utilise midori a partir du ppa de webkit.
Il se trouve que dans les mises a jour il prend par défaut la version du dépot de Jerome qui plante avec la version de webkit de l'autre depot.

Existe il un moyen de lui dire que pour Midori un dépot est prioritaire sur l'autre?

Hors ligne

#93 Le 17/03/2009, à 20:28

jeromeg

Re : Xfce 4.6 pour Ubuntu Intrepid et Ubuntu Hardy

frenchy82: ça doit être possible avec l'apt pinning, mais je n'y connais pas grand chose.

Hors ligne

#94 Le 18/03/2009, à 01:17

Wapush

Re : Xfce 4.6 pour Ubuntu Intrepid et Ubuntu Hardy

@frenchy82

Comme l'a dit jeromeg, le "apt pinning" devrait fonctionner avec X/Ubuntu. Si la version de Midori que tu préfères utiliser est bien celle du dépôt webkit-team, crée un fichier nommé preferences dans /etc/apt (le même dossier que le sources.list), Édite-le et mets-y :

Package: midori
Pin: release o=LP-PPA-webkit-team
Pin-Priority: 900

Et mets à jour la liste des paquets.

Dernière modification par Wapush (Le 18/03/2009, à 01:17)

Hors ligne

#95 Le 18/03/2009, à 07:53

frenchy82

Re : Xfce 4.6 pour Ubuntu Intrepid et Ubuntu Hardy

Ok, c'est tout bon

Merci

Hors ligne

#96 Le 18/03/2009, à 13:10

mavosaure

Re : Xfce 4.6 pour Ubuntu Intrepid et Ubuntu Hardy

Tieeeeeeeeeens mais moi aussi j'avais un mélange des deux PPA... un libsoup par ci , un midori par là!

Merci à Frenchy82 pour avoir relevé le problème (je m'étais perdu dans les numéros de version à rallonge) et à Wapush pour le dépannage!


Xub'

Hors ligne

#97 Le 18/03/2009, à 19:28

Wapush

Re : Xfce 4.6 pour Ubuntu Intrepid et Ubuntu Hardy

Ça m'arrive, parfois, de tenter de me rendre utile... On finit par se lasser de passer son temps à râler !

Hors ligne

#98 Le 24/03/2009, à 17:57

Wapush

Re : Xfce 4.6 pour Ubuntu Intrepid et Ubuntu Hardy

Petit message pour jeromeg.

Quelqu'un semble avoir un problème avec ton PPA sur le forum Xfce anglais :
http://forum.xfce.org/index.php?topic=4830
Je ne sais pas trop quoi lui répondre, n'utilisant pas X/Ubuntu ni de AMD64, je ne peux pas vérifier/tester moi-même.

Dernière modification par Wapush (Le 24/03/2009, à 18:00)

Hors ligne

#99 Le 24/03/2009, à 21:29

mr_pouit

Re : Xfce 4.6 pour Ubuntu Intrepid et Ubuntu Hardy

Xfce4 est juste un méta-paquet, donc arch:all (ça veut dire qu'il est commun à toutes les architectures), donc il n'y a aucun problème.

(désolé, j'ai la flemme de retrouver mon compte sur le forum xfce tongue)


N'hésitez pas à venir sur #ubuntu-fr-devel et #u-classroom (FreeNode) !
Ma page perso -- Mon blog

Hors ligne

#100 Le 24/03/2009, à 22:47

Wapush

Re : Xfce 4.6 pour Ubuntu Intrepid et Ubuntu Hardy

Merci !

Où avais-je la tête... roll

Hors ligne

Haut de page ↑